
QGIS Application - Bug report #13507

Trying to access options menu crashes

2015-10-04 04:42 AM - Johannes Kroeger

Status: Closed

Priority: Severe/Regression

Assignee: Larry Shaffer

Category: Authentication system

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21551

Description

If I click Settings -> Options, QGIS will crash. See attached backtrace.

I am on Archlinux, 64 bit. Built master just now, 28958.

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff6ebc538 in QgsAuthConfigEditor::setShowUtilitiesButton (this=<optimized out>, show=false) at

/home/qwerty/src/qgis/src/gui/auth/qgsauthconfigeditor.cpp:177

177      btnAuthUtilities->setVisible( show );

(gdb) bt

#0  0x00007ffff6ebc538 in QgsAuthConfigEditor::setShowUtilitiesButton (this=<optimized out>, show=false) at

/home/qwerty/src/qgis/src/gui/auth/qgsauthconfigeditor.cpp:177

#1  0x00007ffff6ec54e2 in QgsAuthEditorWidgets::QgsAuthEditorWidgets (this=0x43a2510, parent=<optimized out>)

    at /home/qwerty/src/qgis/src/gui/auth/qgsautheditorwidgets.cpp:98

#2  0x00007ffff78098b7 in Ui_QgsOptionsBase::setupUi (this=this@entry=0x3ea5088,

QgsOptionsBase=QgsOptionsBase@entry=0x3ea5010)

    at /home/qwerty/src/qgis/build/src/app/../ui/ui_qgsoptionsbase.h:3257

#3  0x00007ffff77dbc33 in QgsOptions::QgsOptions (this=0x3ea5010, parent=<optimized out>, fl=...) at

/home/qwerty/src/qgis/src/app/qgsoptions.cpp:75

#4  0x00007ffff76115a2 in QgisApp::showOptionsDialog (this=this@entry=0x94bbc0, parent=parent@entry=0x94bbc0,

currentPage=...)

    at /home/qwerty/src/qgis/src/app/qgisapp.cpp:7912

#5  0x00007ffff7612461 in QgisApp::options (this=this@entry=0x94bbc0) at /home/qwerty/src/qgis/src/app/qgisapp.cpp:7902

#6  0x00007ffff79d6eb5 in QgisApp::qt_static_metacall (_o=0x94bbc0, _c=<optimized out>, _id=<optimized out>,

_a=0x7fffffffc9d0)

    at /home/qwerty/src/qgis/build/src/app/moc_qgisapp.cxx:847

#7  0x00007ffff5cc7630 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4

#8  0x00007ffff4fda402 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4

#9  0x00007ffff4fdb763 in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4

#10 0x00007ffff5439b0d in ?? () from /usr/lib/libQtGui.so.4

#11 0x00007ffff543df09 in ?? () from /usr/lib/libQtGui.so.4

#12 0x00007ffff5036c20 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4

#13 0x00007ffff544217b in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4

#14 0x00007ffff4fe039c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#15 0x00007ffff4fe73b6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#16 0x00007ffff632cdab in QgsApplication::notify (this=0x7fffffffde70, receiver=0xa06ad0, event=0x7fffffffd0c0) at

/home/qwerty/src/qgis/src/core/qgsapplication.cpp:265

#17 0x00007ffff5cb355d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4

#18 0x00007ffff4fe69bd in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#19 0x00007ffff506232c in ?? () from /usr/lib/libQtGui.so.4

#20 0x00007ffff506036d in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4

#21 0x00007ffff50892e2 in ?? () from /usr/lib/libQtGui.so.4

#22 0x00007fffed2789fd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#23 0x00007fffed278ce0 in ?? () from /usr/lib/libglib-2.0.so.0

#24 0x00007fffed278d8c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#25 0x00007ffff5ce3854 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/libQtCore.so.4

#26 0x00007ffff50893b6 in ?? () from /usr/lib/libQtGui.so.4

#27 0x00007ffff5cb1dd1 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/libQtCore.so.4

#28 0x00007ffff5cb2145 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

#29 0x00007ffff5cb7af9 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4

#30 0x0000000000407097 in main (argc=3, argv=<optimized out>) at /home/qwerty/src/qgis/src/app/main.cpp:1229

Related issues:

Related to QGIS Application - Bug report # 13454: 2.11 Authentification Syste... Closed 2015-09-29

Associated revisions

Revision 6a7332f4 - 2015-10-06 11:36 PM - Larry Shaffer

[auth] Fix #13507; ensure auth widgets are disabled if auth system is

History

#1 - 2015-10-04 09:38 AM - Matthias Kuhn

- Priority changed from High to Severe/Regression

- Assignee set to Larry Shaffer

Seems to be related to the authentication configuration

#2 - 2015-10-06 12:56 AM - Jürgen Fischer

- Category set to Authentication system

#3 - 2015-10-06 08:59 AM - Larry Shaffer

Hi Johannes,

I am working on a fix right now, but would like a bit more information. Do you get the notification dialog when QGIS starts up, noting that the "Authentication

System is DISABLED"?

#4 - 2015-10-06 12:36 PM - Saber Razmjooei

Have you tried:

pacman -S qca-ossl

It seems to be related to #13454
#5 - 2015-10-06 02:38 PM - Larry Shaffer

- Status changed from Open to Closed

Fixed in changeset commit:"6a7332f4777099c84a8f24c6f052568d77bbdd79".

Files

bt.log 3.69 KB 2015-10-04 Johannes Kroeger
